CREATE TABLE gl_xfr_source_systems (
    SYSTEM_MAP_ID                NUMBER(18, 0) ,
    SYSTEM_ID                    NUMBER(18, 0)     NOT NULL,
    NAME                         VARCHAR2(120)     NOT NULL,
    JE_SOURCE_KEY                VARCHAR2(100)     NOT NULL,
    DESCRIPTION                  VARCHAR2(960) ,
    DRILLDOWN_URL                VARCHAR2(4000),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    INSTANCE_TYPE_CODE           VARCHAR2(120)     NOT NULL,
    AUTOPOST_JOURNALS_FLAG       VARCHAR2(4)   ,
    FUSION_CLOUD_INSTALL_FLAG    VARCHAR2(4)   ,
    SYSTEM_MAP_ID                NUMBER(18, 0) ,
    SYSTEM_ID                    NUMBER(18, 0)     NOT NULL,
    NAME                         VARCHAR2(120)     NOT NULL,
    JE_SOURCE_KEY                VARCHAR2(100)     NOT NULL,
    DESCRIPTION                  VARCHAR2(960) ,
    DRILLDOWN_URL                VARCHAR2(4000),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    INSTANCE_TYPE_CODE           VARCHAR2(120)     NOT NULL,
    AUTOPOST_JOURNALS_FLAG       VARCHAR2(4)   ,
    FUSION_CLOUD_INSTALL_FLAG    VARCHAR2(4)   ,
    CONSTRAINT pk_gl_xfr_source_systems PRIMARY KEY (SYSTEM_MAP_ID, SYSTEM_MAP_ID)
);
